aboutsummaryrefslogtreecommitdiffstats
path: root/gendocs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gendocs.sh')
-rwxr-xr-xgendocs.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/gendocs.sh b/gendocs.sh
index a0f6e5c..897e762 100755
--- a/gendocs.sh
+++ b/gendocs.sh
@@ -1,7 +1,13 @@
#!/bin/bash
+OUTFILENAME="LowLevelCanBinding_Guide"
+
SCRIPT=$(basename $BASH_SOURCE)
+VERSION=$(grep '"version":' $(dirname $BASH_SOURCE)/book.json | cut -d'"' -f 4)
+[ "$VERSION" != "" ] && OUTFILENAME="${OUTFILENAME}_${VERSION}"
+
+
function usage() {
cat <<EOF >&2
Usage: $SCRIPT [options] [pdf|serve|doxygen]
@@ -57,7 +63,11 @@ if [ "$DO_ACTION" = "pdf" -o "$DO_ACTION" = "serve" ]; then
[ "$?" = "1" ] && { echo "You must install calibre first, using: 'sudo apt install calibre' or refer to https://calibre-ebook.com/download"; exit 1; }
if [ "$DO_ACTION" = "pdf" ]; then
- OUTFILE=$OUT_DIR/LowLevelCanBinding_Guide.pdf
+
+ # Update cover when book.json has been changed
+ [[ $ROOTDIR/book.json -nt $ROOTDIR/docs/cover.jpg ]] && { echo "Update cover files"; $ROOTDIR/docs/resources/make_cover.sh || exit 1; }
+
+ OUTFILE=$OUT_DIR/$OUTFILENAME.pdf
$DRY $GITBOOK pdf $ROOTDIR $OUTFILE $DEBUG_FLAG
[ "$?" = "0" ] && echo "PDF has been successfully generated in $OUTFILE"
else